# Minecraft Manager 

The Minecraft Manager plugin was created as a partner piece of the [Minecraft Manager Web App](https://git.jojodev.com/Minecraft/minecraft_manager/).

[Example config](src/main/resources/config.yml)

## Commands

### Minecraft Manager
`/minecraftmanager <sub-command> <arg1> <arg2> ...`

`/mcm <sub-command> <arg1> <arg2> ...`

#### Sub-Commands

`help` - Show the help message.

`port` - Shows the port that MCM is listening on.

`register` - Allows a player to register for the web app.

`report` - Runs a report on all entities in the world, for use with the MCM online report.

### Application

`/application <sub-command> <arg1>`

`/app <sub-command> <arg1>`

#### Sub-Commands

`search` - Searches for matching applications. You can use partial names to search. If only one application is found, this command acts as though you are using `info`.

`info` - Gets specific information for a given application. Can be given a name or application ID.

- `accept` and `deny` only work with IDs. This is to verify the correct application is being acted on.

`accept` - Accepts an application by ID.

`deny` - Denies an application by ID.

`clear` - Clears a denied application's status. This is to ensure that players cannot spam applications once denied.

### Apply

`/apply` - Initiates the application process. A user must run `/rules` before they can apply.

### Rules

`/rules` - Shows the current rules defined in the plugin's config.yml

### Ticket

`/ticket <message>` - Used to send in a help ticket.


### Warning

`/warning <player> [<severity>] <message>` - Gives a warning to a player. If \[<severity>] is not one of "L", "M", or "H" it will be automatically set to "L".

## Permissions

### Basic


`minecraftmanager.use` - Allows the use of `/mcm port` and `/mcm reload`.

`minecraftmanager.guest` - This is how MCM figures out who is a "guest". This is used in the event that a player is accepted but isn't online, so all commands are ran next time they come online.

- :exclamation: `minecraftmanager.guest` **must** be removed (negated) once a player is member, otherwise the commands will execute each time they log in.

`minecraftmanager.apply` - Allows the use of `/apply`.


- :exclamation: `minecraftmanager.apply` should probably be revoked once the player has been accepted.  
Otherwise, the player could continue to re-apply. (Even though it would never register again)

`minecraftmanager.ticket` - Allows the use of `/ticket`.

----

### Staff

`minecraftmanager.application.search` - Allows the use of `/application search`.

`minecraftmanager.application.action` - Allows the use of `/application accept` and `/application deny`.

- `minecraftmanager.application.*` will give both of the above nodes.

`minecraftmanager.staff` - Allows a player to use Staff Chat (if enabled) and receive Staff messages from MCM.

`minecraftmanager.register` - Allows the use of `/mcm register` to register for the web application.

`minecraftmanager.*` - All permissions for MCM.

- `minecraftmanager.*` also gives the `minecraftmanager.apply` node, which should probably be revoked in normal use cases.

## License

[MIT](LICENSE)